#define gi_major 3.0
#define girname %mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Access, organize and share your photos
Name:		gnome-photos
Version:	3.10.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(exempi-2.0) >= 1.99.5
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.4.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.35.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.35.1
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires:	pkgconfig(gnome-icon-theme) >= 2.19.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 2.91.92
BuildRequires:	pkgconfig(gthread-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:	pkgconfig(gtk+-unix-print-3.0) >= 2.90.4
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libexif) >= 0.6.14
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.4
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.4
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.26.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0
BuildRequires:	pkgconfig(shared-mime-info) >= 0.20
BuildRequires:	pkgconfig(tracker-miner-0.16)
BuildRequires:	pkgconfig(tracker-sparql-0.16)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(babl)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gegl-0.2)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(grilo-0.2) >= 0.2.6
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	jpeg-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	desktop-file-utils
Requires:	librsvg
Requires:	gnome-icon-theme

%description
Access, organize and share your photos with GNOME 3.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-introspection=yes \
	--disable-schemas-compile \
	--disable-scrollkeeper
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --with-help

find %{buildroot} -name *.la -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gnome-photos
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Wed Nov 20 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551977
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542211
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497099
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483916
- new version 3.10.0
- dropped merged patch 1

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480953
- add patch to fix desktop file
- new version 3.9.92

* Mon Sep 02 2013 ennael <ennael> 3.9.91-2.mga4
+ Revision: 474377
- Rebuild against new gnome-desktop3

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474344
- new version 3.9.91

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468795
- new version 3.9.90

* Thu Aug 01 2013 dams <dams> 3.9.5.1-1.mga4
+ Revision: 462306
- adds 'grilo-0.2' as BR

  + ovitters <ovitters>
    - new version 3.9.5.1
    - new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458376
- new version 3.9.4

* Mon May 27 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 428692
- imported package gnome-photos

